import plugin from "vue-draggable-grid";
import "vue-draggable-grid/dist/style.css";
import Vue from "vue";

Vue.use(plugin);

export default
  {
    meta: {
      inMenu: true,
      titleKey: "stoelindeling.menu_title",
      icon: "mdi-chair-school",
      permission: "stoelindeling.view_seatingplans_rule",
    },
    props: {
      byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
    },
    children: [
      {
        path: "seating_plans/",
        component: () => import("./components/SeatingPlanList.vue"),
        name: "stoelindeling.seatingPlans",
        meta: {
          inMenu: true,
          titleKey: "stoelindeling.menu_title",
          icon: "mdi-seat-outline",
          permission: "stoelindeling.view_seatingplans_rule",
        },
      },
      {
        path: "seating_plans/create/",
        component: () => import("./components/CreateSeatingPlan.vue"),
        name: "stoelindeling.createSeatingPlan",
        meta: {
          permission: "stoelindeling.create_seatingplan_rule"
        }
      },
      {
        path: "seating_plans/:pk/",
        component: () => import("./components/SeatingPlan.vue"),
        name: "stoelindeling.seatingPlan",
        props: true,
        meta: {
          permission: "stoelindeling.view_seatingplans_rule" // Object-level permission checked inside component
        }
      },
      {
        path: "seating_plans/:pk/edit/",
        component: () => import("./components/SeatingPlan.vue"),
        name: "stoelindeling.editSeatingPlan",
        props: route => ({
          editableProp: true,
          pk: route.params.pk
        }),
        meta: {
          permission: "stoelindeling.view_seatingplans_rule" // Object-level permission checked inside component
        }
      },
      {
        path: "seating_plans/:pk/copy/",
        component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
        name: "stoelindeling.copySeatingPlan",
        props: {
          byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
        },
      },
      {
        path: "seating_plans/:pk/delete/",
        component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
        name: "stoelindeling.deleteSeatingPlan",
        props: {
          byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
        },
      },
    ],
  }

